# -- Theme Options --
# These options control how the theme functions and allow you to
# customise the display of your website.
#
# Refer to the theme docs for more details about each of these parameters.
# https://nunocoracao.github.io/blowfish/docs/configuration/#theme-parameters

colorScheme = "github"
defaultAppearance = "light" # valid options: light or dark
autoSwitchAppearance = true

enableSearch = true
enableCodeCopy = true
customCSS = true

# mainSections = ["section1", "section2"]
# robots = ""

[header]
  layout = "fixed" # valid options: basic, fixed

[footer]
 # showMenu = true
  showCopyright = true
  showThemeAttribution = true
  showAppearanceSwitcher = true
  showScrollToTop = true

[homepage]
  layout = "background" # valid options: page, profile, hero, card, background, custom
  homepageImage = "me/me_stream_doom.PNG" # used in: hero, and card
  showRecent = false
  showRecentItems = 5
  showMoreLink = false
  showMoreLinkDest = "/posts"
  cardView = false
  cardViewScreenWidth = false
  layoutBackgroundBlur = false # only used when layout equals background

[search]
  enable = true
  type = "fuse"
  showPercent = true
  showWidth = true

[article] # https://blowfish.page/docs/configuration/
  showDate = true
  showViews = false
  showLikes = false
  showDateUpdated = true
  showHero = true
  heroStyle = "basic" # valid options: basic, big, background
  showBreadcrumbs = true
  showDraftLabel = true
  seriesOpened = true
  showHeadingAnchors = true
  showPagination = true
  invertPagination = false
  showReadingTime = true
  showTableOfContents = true
  showTaxonomies = true 
  showWordCount = true
  showSummary = true
  sharingLinks = [ "linkedin", "twitter", "whatsapp", "pinterest", "reddit", "facebook", "email"]
  showAuthor = true
  showAuthorsBadges = true # This helps style the author profile
  showEdit =  true
  showEditURL = true
  editAppendPath = true
  showZenMode = false
  smartTOC = true

[list]
  showBreadcrumbs = true
  showSummary = true
  showTableOfContents = true
  showCards = true
  groupByYear = true
  cardView = true
  cardViewScreenWidth = false
  columnCount = 3
  showReadMore = true

[sitemap]
  excludedKinds = []

[taxonomy]
  showTermCount = true

[firebase]
  # apiKey = "XXXXXX"
  # authDomain = "XXXXXX"
  # projectId = "XXXXXX"
  # storageBucket = "XXXXXX"
  # messagingSenderId = "XXXXXX"
  # appId = "XXXXXX"
  # measurementId = "XXXXXX"

[fathomAnalytics]
  # site = "ABC12345"
  # domain = "llama.yoursite.com"

[verification]
  # google = ""
  # bing = ""
  # pinterest = ""
  # yandex = ""

[app]
  # Some versions of Blowfish look for 'mainIcon' or 'themeIcon'
  # Try both if one fails.
  mainIcon = "icons/icon.svg" 
  themeIcon = "icons/icon.svg"